curl --request GET \
--url https://api.checklyhq.com/v1/check-groups/{id}/checks \
--header 'Authorization: Bearer <token>'[
{
"checkType": "API",
"id": "<string>"
}
]Lists all checks in a specific check group with the group settings applied.
curl --request GET \
--url https://api.checklyhq.com/v1/check-groups/{id}/checks \
--header 'Authorization: Bearer <token>'[
{
"checkType": "API",
"id": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://checkly-422f444a-sync-playwright-reporter-changelog-v1-5-0.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Limit the number of results
1 <= x <= 100Page number
Was this page helpful?